SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
SuperFastHash.h File Reference
`#include <stdio.h>`
`#include "NativeTypes.h"`

Go to the source code of this file.

## Functions

uint32_t | SuperFastHash (const char *data, int length)
uint32_t | SuperFastHashIncremental (const char *data, int len, unsigned int lastHash)
uint32_t | SuperFastHashFile (const char *filename)
uint32_t | SuperFastHashFilePtr (FILE *fp)

## Function Documentation

uint32_t SuperFastHash | ( | const char * | data,
|  | int | length
| ) |  |

Definition at line 38 of file SuperFastHash.cpp.

References INCREMENTAL_READ_BLOCK, and SuperFastHashIncremental().

uint32_t SuperFastHashFile | ( | const char * | filename | ) |

Definition at line 106 of file SuperFastHash.cpp.

References SuperFastHashFilePtr().

uint32_t SuperFastHashFilePtr | ( | FILE * | fp | ) |

Definition at line 116 of file SuperFastHash.cpp.

References INCREMENTAL_READ_BLOCK, and SuperFastHashIncremental().

Referenced by SuperFastHashFile().

uint32_t SuperFastHashIncremental | ( | const char * | data,
|  | int | len,
|  | unsigned int | lastHash
| ) |  |

Definition at line 58 of file SuperFastHash.cpp.

References get16bits.

Referenced by SuperFastHash(), SuperFastHashFilePtr(), and SLNet::SystemAddress::ToInteger().